/***
 *** MyCStatic.h
 ***
 *** An extended CStatic control that provides a way to compute an optimal size based on its current text.
 ***
 *** ----------
 ***
 *** Originally developed by me at Frontline Test Equipment, Inc.
 ***
 *** ----------
 ***
 *** Tom Allebrandi (tallebrandi@bluetooth.com/wyrles@ytram.com/tom@ytram.com)
 ***/

#if	(!defined(MYCSTATIC_H_INCLUDED))
#define	MYCSTATIC_H_INCLUDED

/*******************************************************************************
 **
 ** MyCEdit class
 **/

class MyCEdit : public CEdit
{
	/*
	* Interface
	*/
public:
	MyCEdit(void) {};
	void	ComputeGoodSize(int& newWidth, int& newHeight, int xScale, int yScale, bool computeDeltaSize);

	/*
	* Class internal functions
	*/
private:
	void	myDrawText(DWORD format, RECT* pRect = NULL);
	void	OnPaint(void);
	DECLARE_MESSAGE_MAP()
};
#endif
